## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global uuid g3kb-switch@g3kb-switch.org

Name:           g3kb-switch
Version:        1.4
Release:        %autorelease
Summary:        CLI keyboard layout switcher for GNOME Shell

# g3kb-switch: BSD-2-Clause
# extension/g3kb-switch@g3kb-switch.org: GPL-2.0-only
License:        BSD-2-Clause AND GPL-2.0-only
URL:            https://github.com/lyokha/g3kb-switch
Source:         %{url}/archive/%{version}/%{name}-%{version}.tar.gz
Patch:          gnome-46.patch

BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  pkgconfig(gio-2.0)

Requires:       gnome-shell

Obsoletes:      %{name}-devel < 1.4-2

%description
This is a CLI keyboard layout switcher for Gnome 3 and 4x. It is
not based on the X interface but rather implements direct D-Bus
messaging with the Gnome Shell.


%package        zsh-completion
Summary:        Zsh completion for %{name}
BuildArch:      noarch
Requires:       %{name} = %{version}-%{release}
Requires:       zsh
Supplements:    (%{name} and zsh)

%description    zsh-completion
Zsh command line completion support for %{name}.


%package        bash-completion
Summary:        Bash completion for %{name}
BuildArch:      noarch
BuildRequires:  bash-completion
Requires:       %{name} = %{version}-%{release}
Requires:       bash-completion
Supplements:    (%{name} and bash-completion)

%description    bash-completion
Bash command line completion support for %{name}.

%prep
%autosetup -p1
sed -i '1{\@#!/usr/bin/env bash@d}' g3kb-switch-completion.bash

%build
export GITHUB_REF_NAME=%{version}
%cmake -DG3KBSWITCH_WITH_GNOME_SHELL_EXTENSION:BOOL=ON \
       -DG3KBSWITCH_VIM_XKBSWITCH_LIB_PATH:PATH=%{_lib}/%{name}
%cmake_build


%install
%cmake_install
rm %{buildroot}%{_datadir}/pkgconfig/%{name}.pc

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/libg3kbswitch.so
%{_datadir}/gnome-shell/extensions/%{uuid}/
%{_mandir}/man1/%{name}.1*

%files zsh-completion
%{zsh_completions_dir}/_%{name}

%files bash-completion
%{bash_completions_dir}/%{name}

%changelog
## START: Generated by rpmautospec
* Fri Apr 12 2024 Pavel Solovev <daron439@gmail.com> - 1.4-5
- GNOME 46 support

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Dec 15 2023 Pavel Solovev <daron439@gmail.com> - 1.4-2
- Workaround for incorrect version reporting
- Remove unneeded devel package

* Wed Dec 06 2023 Pavel Solovev <daron439@gmail.com> - 1.4-1
- Update to 1.4

* Tue Sep 19 2023 Pavel Solovev <daron439@gmail.com> - 1.3-4
- update gnome 45 patch, upload new sources (tarball was replaced upstream)

* Sun Sep 10 2023 Pavel Solovev <daron439@gmail.com> - 1.3-3
- gnome 45 support

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jul 13 2023 solopasha <daron439@gmail.com> - 1.3-1
- version 1.3 (rhbz#2222763)

* Sun Apr 23 2023 Pavel Solovev <daron439@gmail.com> - 1.2-1
- version 1.2 (rhbz#2188905)

* Wed Apr 19 2023 Pavel Solovev <daron439@gmail.com> - 1.1-1
- Initial import (rhbz#2187934).
## END: Generated by rpmautospec
